Ptex: PtexMetaData Class Reference

Ptex

Public Member Functions | Protected Member Functions | List of all members
PtexMetaData Class Referenceabstract

Meta data accessor. More...

`#include <Ptexture.h>`

Inheritance diagram for PtexMetaData:

## Public Member Functions
virtual void | release ()=0
| Release resources held by this pointer (pointer becomes invalid). More...
virtual int | numKeys ()=0
| Query number of meta data entries stored in file. More...
virtual void | getKey (int index, const char *&key, Ptex::MetaDataType &type)=0
| Query the name and type of a meta data entry. More...
virtual bool | findKey (const char *key, int &index, Ptex::MetaDataType &type)=0
| Query the index and type of a meta data entry by name. More...
virtual void | getValue (const char *key, const char *&value)=0
| Query the value of a given meta data entry. More...
virtual void | getValue (int index, const char *&value)=0
| Query the value of a given meta data entry by index. More...
virtual void | getValue (const char *key, const int8_t *&value, int &count)=0
| Query the value of a given meta data entry. More...
virtual void | getValue (int index, const int8_t *&value, int &count)=0
| Query the value of a given meta data entry by index. More...
virtual void | getValue (const char *key, const int16_t *&value, int &count)=0
| Query the value of a given meta data entry. More...
virtual void | getValue (int index, const int16_t *&value, int &count)=0
| Query the value of a given meta data entry by index. More...
virtual void | getValue (const char *key, const int32_t *&value, int &count)=0
| Query the value of a given meta data entry. More...
virtual void | getValue (int index, const int32_t *&value, int &count)=0
| Query the value of a given meta data entry by index. More...
virtual void | getValue (const char *key, const float *&value, int &count)=0
| Query the value of a given meta data entry. More...
virtual void | getValue (int index, const float *&value, int &count)=0
| Query the value of a given meta data entry by index. More...
virtual void | getValue (const char *key, const double *&value, int &count)=0
| Query the value of a given meta data entry. More...
virtual void | getValue (int index, const double *&value, int &count)=0
| Query the value of a given meta data entry by index. More...

## Protected Member Functions
virtual | ~PtexMetaData ()
| Destructor not for public use. Use release() instead. More...

## Detailed Description

Meta data accessor.

Meta data is acquired from PtexTexture and accessed through this interface.

Definition at line 341 of file Ptexture.h.

## Constructor & Destructor Documentation

## ◆ ~PtexMetaData()

virtual PtexMetaData::~PtexMetaData | ( |  | ) |
| inlineprotectedvirtual

Destructor not for public use. Use release() instead.

Definition at line 344 of file Ptexture.h.

## Member Function Documentation

## ◆ findKey()

virtual bool PtexMetaData::findKey | ( | const char * | key,
|  | int & | index,
|  | Ptex::MetaDataType & | type
| ) |  |
| pure virtual

Query the index and type of a meta data entry by name.

## ◆ getKey()

virtual void PtexMetaData::getKey | ( | int | index,
|  | const char *& | key,
|  | Ptex::MetaDataType & | type
| ) |  |
| pure virtual

Query the name and type of a meta data entry.

Referenced by PtexWriterBase::writeMeta().

## ◆ getValue() [1/12]

virtual void PtexMetaData::getValue | ( | const char * | key,
|  | const char *& | value
| ) |  |
| pure virtual

Query the value of a given meta data entry.

If the key doesn't exist or the type doesn't match, value is set to null

Implemented in PtexReader::MetaData.

Referenced by PtexWriterBase::writeMeta().

## ◆ getValue() [2/12]

virtual void PtexMetaData::getValue | ( | const char * | key,
|  | const double *& | value,
|  | int & | count
| ) |  |
| pure virtual

Query the value of a given meta data entry.

If the key doesn't exist or the type doesn't match, value is set to null

Implemented in PtexReader::MetaData.

## ◆ getValue() [3/12]

virtual void PtexMetaData::getValue | ( | const char * | key,
|  | const float *& | value,
|  | int & | count
| ) |  |
| pure virtual

Query the value of a given meta data entry.

If the key doesn't exist or the type doesn't match, value is set to null

Implemented in PtexReader::MetaData.

## ◆ getValue() [4/12]

virtual void PtexMetaData::getValue | ( | const char * | key,
|  | const int16_t *& | value,
|  | int & | count
| ) |  |
| pure virtual

Query the value of a given meta data entry.

If the key doesn't exist or the type doesn't match, value is set to null

Implemented in PtexReader::MetaData.

## ◆ getValue() [5/12]

virtual void PtexMetaData::getValue | ( | const char * | key,
|  | const int32_t *& | value,
|  | int & | count
| ) |  |
| pure virtual

Query the value of a given meta data entry.

If the key doesn't exist or the type doesn't match, value is set to null

Implemented in PtexReader::MetaData.

## ◆ getValue() [6/12]

virtual void PtexMetaData::getValue | ( | const char * | key,
|  | const int8_t *& | value,
|  | int & | count
| ) |  |
| pure virtual

Query the value of a given meta data entry.

If the key doesn't exist or the type doesn't match, value is set to null

Implemented in PtexReader::MetaData.

## ◆ getValue() [7/12]

virtual void PtexMetaData::getValue | ( | int | index,
|  | const char *& | value
| ) |  |
| pure virtual

Query the value of a given meta data entry by index.

If the index is out of range or the type doesn't match, value is set to null

Implemented in PtexReader::MetaData.

## ◆ getValue() [8/12]

virtual void PtexMetaData::getValue | ( | int | index,
|  | const double *& | value,
|  | int & | count
| ) |  |
| pure virtual

Query the value of a given meta data entry by index.

If the index is out of range or the type doesn't match, value is set to null

Implemented in PtexReader::MetaData.

## ◆ getValue() [9/12]

virtual void PtexMetaData::getValue | ( | int | index,
|  | const float *& | value,
|  | int & | count
| ) |  |
| pure virtual

Query the value of a given meta data entry by index.

If the index is out of range or the type doesn't match, value is set to null

Implemented in PtexReader::MetaData.

## ◆ getValue() [10/12]

virtual void PtexMetaData::getValue | ( | int | index,
|  | const int16_t *& | value,
|  | int & | count
| ) |  |
| pure virtual

Query the value of a given meta data entry by index.

If the index is out of range or the type doesn't match, value is set to null

Implemented in PtexReader::MetaData.

## ◆ getValue() [11/12]

virtual void PtexMetaData::getValue | ( | int | index,
|  | const int32_t *& | value,
|  | int & | count
| ) |  |
| pure virtual

Query the value of a given meta data entry by index.

If the index is out of range or the type doesn't match, value is set to null

Implemented in PtexReader::MetaData.

## ◆ getValue() [12/12]

virtual void PtexMetaData::getValue | ( | int | index,
|  | const int8_t *& | value,
|  | int & | count
| ) |  |
| pure virtual

Query the value of a given meta data entry by index.

If the index is out of range or the type doesn't match, value is set to null

Implemented in PtexReader::MetaData.

## ◆ numKeys()

virtual int PtexMetaData::numKeys | ( |  | ) |
| pure virtual

Query number of meta data entries stored in file.

Implemented in PtexReader::MetaData.

Referenced by PtexWriterBase::writeMeta().

## ◆ release()

virtual void PtexMetaData::release | ( |  | ) |
| pure virtual

Release resources held by this pointer (pointer becomes invalid).

Implemented in PtexReader::MetaData.

The documentation for this class was generated from the following file:

- Ptexture.h